# Get an identity-visibility filter

Launch stage: Public Preview

`GET /api/2.0/identity/{name=accounts/*/identity-visibility-filters/*}`

Gets a group visibility filter by its resource name. Requires account admin privileges.
 Returns the filter rule, not the groups matched by the rule.

API scopes: identity

## Path parameters

- `name` (string, required)
  Required. The resource name of the filter.
   Format: accounts/{account_id}/identity-visibility-filters/{identity_visibility_filter_id}

## Returns

Returns the IdentityVisibilityFilter object.

## Response

```json
{
  "name": "string",
  "principal_type": "USER",
  "exact": {
    "external_id": "string"
  },
  "prefix": {
    "display_name_prefix": "string"
  }
}
```

